summaryrefslogtreecommitdiffstats
path: root/comm/taskcluster/docker/tb-flatpak/make_venv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'comm/taskcluster/docker/tb-flatpak/make_venv.sh')
-rwxr-xr-xcomm/taskcluster/docker/tb-flatpak/make_venv.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/comm/taskcluster/docker/tb-flatpak/make_venv.sh b/comm/taskcluster/docker/tb-flatpak/make_venv.sh
new file mode 100755
index 0000000000..6b807e64f4
--- /dev/null
+++ b/comm/taskcluster/docker/tb-flatpak/make_venv.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at https://mozilla.org/MPL/2.0/.
+
+set -xe
+
+cd /scripts || exit 1
+
+python -m venv --system-site-packages venv
+source ./venv/bin/activate
+python -m pip install -r fluent_requirements.txt